Hi Vasya,

Normally, the checksum error occurs when the network is down or interrupted 
during the download of the plugin. We have verified that the plugin files on 
the server are not corrupt. Please check your network connection and re-try 
installing the plugins. If the issue still exists please  download the plugins 
manually from below link.
https://www.openprinting.org/download/printdriver/auxfiles/HP/plugins/

Thanks,
Afshan

** Changed in: hplip
       Status: New => In Progress

** Changed in: hplip
     Assignee: (unassigned) => Afshan F (afshan)

-- 
You received this bug notification because you are a member of Desktop
Packages, which is subscribed to hplip in Ubuntu.
https://bugs.launchpad.net/bugs/1749690

Title:
  hp-setup fails to install plugin

Status in HPLIP:
  In Progress
Status in hplip package in Ubuntu:
  Confirmed
Status in hplip package in Debian:
  New

Bug description:
  My HP printer requires a binary driver and the only way to install it
  is to run hp-setup from hplip package. It was doing job fine for last
  three years at least, but when I tried to install driver today on a
  fresh 16.04 installation, it couldn't download it.

  $ hp-setup -i 192.168.220.10
  ...
  -----------------------------------------
  | PLUG-IN INSTALLATION FOR HPLIP 3.16.3 |
  -----------------------------------------

    Option      Description                                       
    ----------  --------------------------------------------------
    d           Download plug-in from HP (recommended)            
    p           Specify a path to the plug-in (advanced)          
    q           Quit hp-plugin (skip installation)                

  Enter option (d=download*, p=specify path, q=quit) ? d

  -------------------
  | DOWNLOAD PLUGIN |
  -------------------

  Checking for network connection...
  Downloading plug-in from: 
  Downloading plug-in: [\                                                       
                                                            ] 0%     
  error: Found No Section in /tmp/tmpjeh9zqmg. Please set the http proxy for 
root and try again.

  error:  file does not match its checksum. File may have been corrupted or 
altered
  error: Failed to install Plugin.
  error: The device you are trying to setup requires a binary plug-in. Some 
functionalities may not work as expected without plug-ins. Please run 
'hp-plugin' as normal user to install plug-ins.Visit http://hplipopensource.com 
for more infomation.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: hplip 3.16.3+repack0-1
  ProcVersionSignature: Ubuntu 4.13.0-32.35~16.04.1-generic 4.13.13
  Uname: Linux 4.13.0-32-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2.15
  Architecture: amd64
  CupsErrorLog:
   
  CurrentDesktop: Unity
  Date: Thu Feb 15 14:55:08 2018
  InstallationDate: Installed on 2018-01-19 (27 days ago)
  InstallationMedia: Ubuntu 16.04.3 LTS "Xenial Xerus" - Release amd64 
(20170801)
  Lpstat: Error: command ['lpstat', '-v'] failed with exit code 1: lpstat: No 
destinations added.
  MachineType: Acer Aspire V3-771
  Papersize: a4
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.13.0-32-generic.efi.signed 
root=UUID=07eba8bf-f5de-4911-9574-0416813d1387 ro quiet splash vt.handoff=7
  SourcePackage: hplip
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 10/21/2013
  dmi.bios.vendor: Insyde Corp.
  dmi.bios.version: V2.28
  dmi.board.asset.tag: Type2 - Board Asset Tag
  dmi.board.name: VA70_HC
  dmi.board.vendor: Acer
  dmi.board.version: Type2 - Board Version
  dmi.chassis.type: 10
  dmi.chassis.vendor: Chassis Manufacturer
  dmi.chassis.version: Chassis Version
  dmi.modalias: 
dmi:bvnInsydeCorp.:bvrV2.28:bd10/21/2013:svnAcer:pnAspireV3-771:pvrV2.28:rvnAcer:rnVA70_HC:rvrType2-BoardVersion:cvnChassisManufacturer:ct10:cvrChassisVersion:
  dmi.product.family: Type1Family
  dmi.product.name: Aspire V3-771
  dmi.product.version: V2.28
  dmi.sys.vendor: Acer

To manage notifications about this bug go to:
https://bugs.launchpad.net/hplip/+bug/1749690/+subscriptions

-- 
Mailing list: https://launchpad.net/~desktop-packages
Post to     : desktop-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~desktop-packages
More help   : https://help.launchpad.net/ListHelp

Reply via email to